﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;
using Infragistics.Windows;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ApplicationMenu_Loaded(object sender, RoutedEventArgs e)
        {
            ImageSource dog = new BitmapImage(new Uri("pack://application:,,,/dog.jpg"));
            ImageSource cat = new BitmapImage(new Uri("pack://application:,,,/cat.jpg"));

            Border normal = Utilities.GetDescendantFromName(sender as DependencyObject, "AppMenuBtnNormal") as Border;
            Border hover = Utilities.GetDescendantFromName(sender as DependencyObject, "AppMenuBtnHover") as Border;
            Border pressed = Utilities.GetDescendantFromName(sender as DependencyObject, "AppMenuBtnPressed") as Border;

            normal.Background = new ImageBrush(dog);
            hover.Background = new ImageBrush(cat);
            pressed.Background = new ImageBrush(cat);

            TextBlock tb = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(TextBlock), true) as TextBlock;
            tb.Foreground = Brushes.Aqua;
        }
    }
}
